/*
 *    Copyright (c) Yaron Keren 1994-1996. All rights reserved.
 */
#include <math.h>
#include "file_42.h"
int l_394(int x);
int max(int x, int y);
int min(int x, int y);
double abs(double x);
double abs(double l_2, double l_13);
double max(double x, double y);
double max(double x, double y, double l_64);
double min(double x, double y);
double rem(double x, double y);
double round(double x);
double abs(double *l_2, double *l_13);
double l_395(double *a, double *l_33);
void acos(double *l_2, double *l_13, double *l_17, double *l_18);
void acosh(double *l_2, double *l_13, double *l_17, double *l_18);
void asin(double *l_2, double *l_13, double *l_17, double *l_18);
void asinh(double *l_2, double *l_13, double *l_17, double *l_18);
void atan(double *l_2, double *l_13, double *l_17, double *l_18);
void atanh(double *l_2, double *l_13, double *l_17, double *l_18);
void cos(double *l_2, double *l_13, double *l_17, double *l_18);
void cosh(double *l_2, double *l_13, double *l_17, double *l_18);
void exp(double *l_2, double *l_13, double *l_17, double *l_18);
void div(double *l_38, double *l_39, double *l_40, double *l_41, double *l_42, double *l_43);
void inv(double *l_38, double *l_39, double *l_42, double *l_43);
void log(double *l_2, double *l_13, double *l_17, double *l_18);
void l_396(double *l_38, double *l_39, double *l_40, double *l_41, double *l_42, double *l_43);
void pow(double *l_38, double *l_39, double *l_40, double *l_41, double *l_42, double *l_43);
void sign(double *l_2, double *l_13, double *l_17, double *l_18, double *l_65, double *l_66);
void sin(double *l_2, double *l_13, double *l_17, double *l_18);
void sinh(double *l_2, double *l_13, double *l_17, double *l_18);
void sqrt(double *l_2, double *l_13, double *l_17, double *l_18);
void tan(double *l_2, double *l_13, double *l_17, double *l_18);
void tanh(double *l_2, double *l_13, double *l_17, double *l_18);
